﻿/*
This source file is part of the RGBZ Video Camera project published in the paper

  Coherent Spatiotemporal Filtering, Upsampling and Rendering of RGBZ Videos
  Christian Richardt, Carsten Stoll, Neil A. Dodgson, Hans-Peter Seidel, Christian Theobalt
  Computer Graphics Forum (Proceedings of Eurographics), 31(2), May 2012
  <http://www.mpi-inf.mpg.de/resources/rgbz-camera/>

If you use our code, please cite our paper. Thanks.

Copyright (c) 2012 Christian Richardt <christian@richardt.name>


Code licence: GPL v3
----------------------------------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, see <http://www.gnu.org/licenses/>.

$Id: RendererForm.Designer.cs 550 2012-04-18 13:11:18Z cr333 $
*/
namespace RGBZcamera.Renderer
{
	partial class RendererForm
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing && (components != null))
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.inputVideoAndDepthGroupBox = new System.Windows.Forms.GroupBox();
			this.inputVideoAndDepthTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.videoControl2 = new VideoLib.OpenGL.VideoControl();
			this.videoControl1 = new VideoLib.OpenGL.VideoControl();
			this.renderingOutputGroupBox = new System.Windows.Forms.GroupBox();
			this.videoControl6 = new VideoLib.OpenGL.VideoControl();
			this.alignedAndCroppedGroupBox = new System.Windows.Forms.GroupBox();
			this.alignedAndCroppedTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.videoControl4 = new VideoLib.OpenGL.VideoControl();
			this.videoControl3 = new VideoLib.OpenGL.VideoControl();
			this.filteredDepthGroupBox = new System.Windows.Forms.GroupBox();
			this.filteredDepthTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.videoControl5 = new VideoLib.OpenGL.VideoControl();
			this.leftTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.videoSourceGroupBox = new System.Windows.Forms.GroupBox();
			this.videoSourceTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.videoSourceComboBox = new System.Windows.Forms.ComboBox();
			this.startVideoButton = new System.Windows.Forms.Button();
			this.stopVideoButton = new System.Windows.Forms.Button();
			this.loopCheckBox = new System.Windows.Forms.CheckBox();
			this.processingOptionsGroupBox = new System.Windows.Forms.GroupBox();
			this.processingOptionsTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.fromCacheCheckBox = new System.Windows.Forms.CheckBox();
			this.toCacheCheckBox = new System.Windows.Forms.CheckBox();
			this.displayRenderingsCheckBox = new System.Windows.Forms.CheckBox();
			this.saveRenderingsCheckBox = new System.Windows.Forms.CheckBox();
			this.displayDebugOutputsCheckBox = new System.Windows.Forms.CheckBox();
			this.settingsGroupBox = new System.Windows.Forms.GroupBox();
			this.settingsTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.nodePropertyGrid = new System.Windows.Forms.PropertyGrid();
			this.contextMenu = new System.Windows.Forms.ContextMenuStrip(this.components);
			this.resetItem = new System.Windows.Forms.ToolStripMenuItem();
			this.nodeComboBox = new System.Windows.Forms.ComboBox();
			this.styleTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.styleLabel = new System.Windows.Forms.Label();
			this.backgroundRadioButton = new System.Windows.Forms.RadioButton();
			this.debugRadioButton = new System.Windows.Forms.RadioButton();
			this.meshRadioButton = new System.Windows.Forms.RadioButton();
			this.showLabel = new System.Windows.Forms.Label();
			this.relightingRadioButton = new System.Windows.Forms.RadioButton();
			this.hatchingRadioButton = new System.Windows.Forms.RadioButton();
			this.stereoRadioButton = new System.Windows.Forms.RadioButton();
			this.abstractionRadioButton = new System.Windows.Forms.RadioButton();
			this.stageButtonsTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.styleRadioButton = new System.Windows.Forms.RadioButton();
			this.alignmentRadioButton = new System.Windows.Forms.RadioButton();
			this.filterRadioButton = new System.Windows.Forms.RadioButton();
			this.fillInRadioButton = new System.Windows.Forms.RadioButton();
			this.toolTip = new System.Windows.Forms.ToolTip(this.components);
			this.mainTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
			this.inputVideoAndDepthGroupBox.SuspendLayout();
			this.inputVideoAndDepthTableLayoutPanel.SuspendLayout();
			this.renderingOutputGroupBox.SuspendLayout();
			this.alignedAndCroppedGroupBox.SuspendLayout();
			this.alignedAndCroppedTableLayoutPanel.SuspendLayout();
			this.filteredDepthGroupBox.SuspendLayout();
			this.filteredDepthTableLayoutPanel.SuspendLayout();
			this.leftTableLayoutPanel.SuspendLayout();
			this.videoSourceGroupBox.SuspendLayout();
			this.videoSourceTableLayoutPanel.SuspendLayout();
			this.processingOptionsGroupBox.SuspendLayout();
			this.processingOptionsTableLayoutPanel.SuspendLayout();
			this.settingsGroupBox.SuspendLayout();
			this.settingsTableLayoutPanel.SuspendLayout();
			this.contextMenu.SuspendLayout();
			this.styleTableLayoutPanel.SuspendLayout();
			this.stageButtonsTableLayoutPanel.SuspendLayout();
			this.mainTableLayoutPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// inputVideoAndDepthGroupBox
			// 
			this.inputVideoAndDepthGroupBox.AutoSize = true;
			this.inputVideoAndDepthGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.inputVideoAndDepthGroupBox.Controls.Add(this.inputVideoAndDepthTableLayoutPanel);
			this.inputVideoAndDepthGroupBox.Location = new System.Drawing.Point(254, 3);
			this.inputVideoAndDepthGroupBox.Name = "inputVideoAndDepthGroupBox";
			this.inputVideoAndDepthGroupBox.Size = new System.Drawing.Size(370, 169);
			this.inputVideoAndDepthGroupBox.TabIndex = 7;
			this.inputVideoAndDepthGroupBox.TabStop = false;
			this.inputVideoAndDepthGroupBox.Text = "Input video and depth";
			this.inputVideoAndDepthGroupBox.Visible = false;
			// 
			// inputVideoAndDepthTableLayoutPanel
			// 
			this.inputVideoAndDepthTableLayoutPanel.AutoSize = true;
			this.inputVideoAndDepthTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.inputVideoAndDepthTableLayoutPanel.ColumnCount = 2;
			this.inputVideoAndDepthTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.inputVideoAndDepthTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.inputVideoAndDepthTableLayoutPanel.Controls.Add(this.videoControl2, 1, 0);
			this.inputVideoAndDepthTableLayoutPanel.Controls.Add(this.videoControl1, 0, 0);
			this.inputVideoAndDepthTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.inputVideoAndDepthTableLayoutPanel.Location = new System.Drawing.Point(3, 16);
			this.inputVideoAndDepthTableLayoutPanel.Name = "inputVideoAndDepthTableLayoutPanel";
			this.inputVideoAndDepthTableLayoutPanel.RowCount = 1;
			this.inputVideoAndDepthTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.inputVideoAndDepthTableLayoutPanel.Size = new System.Drawing.Size(364, 150);
			this.inputVideoAndDepthTableLayoutPanel.TabIndex = 0;
			// 
			// videoControl2
			// 
			this.videoControl2.BackColor = System.Drawing.Color.Black;
			this.videoControl2.Background = System.Drawing.SystemColors.Control;
			this.videoControl2.Factor = 4F;
			this.videoControl2.Location = new System.Drawing.Point(185, 3);
			this.videoControl2.Name = "videoControl2";
			this.videoControl2.Offset = -0.25F;
			this.videoControl2.Size = new System.Drawing.Size(176, 144);
			this.videoControl2.TabIndex = 2;
			this.videoControl2.VSync = false;
			this.videoControl2.DoubleClick += new System.EventHandler(this.videoControl_DoubleClick);
			// 
			// videoControl1
			// 
			this.videoControl1.BackColor = System.Drawing.Color.Black;
			this.videoControl1.Background = System.Drawing.SystemColors.Control;
			this.videoControl1.Location = new System.Drawing.Point(3, 3);
			this.videoControl1.Name = "videoControl1";
			this.videoControl1.Size = new System.Drawing.Size(176, 144);
			this.videoControl1.TabIndex = 0;
			this.videoControl1.VSync = true;
			this.videoControl1.DoubleClick += new System.EventHandler(this.videoControl_DoubleClick);
			// 
			// renderingOutputGroupBox
			// 
			this.renderingOutputGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.renderingOutputGroupBox.AutoSize = true;
			this.renderingOutputGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.renderingOutputGroupBox.Controls.Add(this.videoControl6);
			this.renderingOutputGroupBox.Location = new System.Drawing.Point(630, 3);
			this.renderingOutputGroupBox.Name = "renderingOutputGroupBox";
			this.mainTableLayoutPanel.SetRowSpan(this.renderingOutputGroupBox, 3);
			this.renderingOutputGroupBox.Size = new System.Drawing.Size(218, 38);
			this.renderingOutputGroupBox.TabIndex = 2;
			this.renderingOutputGroupBox.TabStop = false;
			this.renderingOutputGroupBox.Text = "Rendering output";
			this.renderingOutputGroupBox.Visible = false;
			// 
			// videoControl6
			// 
			this.videoControl6.AutoSize = true;
			this.videoControl6.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoControl6.BackColor = System.Drawing.Color.Black;
			this.videoControl6.Background = System.Drawing.SystemColors.Control;
			this.videoControl6.Location = new System.Drawing.Point(6, 19);
			this.videoControl6.Name = "videoControl6";
			this.videoControl6.ShowCaption = true;
			this.videoControl6.Size = new System.Drawing.Size(0, 0);
			this.videoControl6.TabIndex = 1;
			this.videoControl6.VSync = true;
			this.videoControl6.DoubleClick += new System.EventHandler(this.videoControl_DoubleClick);
			// 
			// alignedAndCroppedGroupBox
			// 
			this.alignedAndCroppedGroupBox.AutoSize = true;
			this.alignedAndCroppedGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.alignedAndCroppedGroupBox.Controls.Add(this.alignedAndCroppedTableLayoutPanel);
			this.alignedAndCroppedGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.alignedAndCroppedGroupBox.Location = new System.Drawing.Point(254, 178);
			this.alignedAndCroppedGroupBox.Name = "alignedAndCroppedGroupBox";
			this.alignedAndCroppedGroupBox.Size = new System.Drawing.Size(370, 169);
			this.alignedAndCroppedGroupBox.TabIndex = 8;
			this.alignedAndCroppedGroupBox.TabStop = false;
			this.alignedAndCroppedGroupBox.Text = "Aligned and cropped";
			this.alignedAndCroppedGroupBox.Visible = false;
			// 
			// alignedAndCroppedTableLayoutPanel
			// 
			this.alignedAndCroppedTableLayoutPanel.AutoSize = true;
			this.alignedAndCroppedTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.alignedAndCroppedTableLayoutPanel.ColumnCount = 2;
			this.alignedAndCroppedTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.alignedAndCroppedTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.alignedAndCroppedTableLayoutPanel.Controls.Add(this.videoControl4, 1, 0);
			this.alignedAndCroppedTableLayoutPanel.Controls.Add(this.videoControl3, 0, 0);
			this.alignedAndCroppedTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.alignedAndCroppedTableLayoutPanel.Location = new System.Drawing.Point(3, 16);
			this.alignedAndCroppedTableLayoutPanel.Name = "alignedAndCroppedTableLayoutPanel";
			this.alignedAndCroppedTableLayoutPanel.RowCount = 1;
			this.alignedAndCroppedTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.alignedAndCroppedTableLayoutPanel.Size = new System.Drawing.Size(364, 150);
			this.alignedAndCroppedTableLayoutPanel.TabIndex = 0;
			// 
			// videoControl4
			// 
			this.videoControl4.BackColor = System.Drawing.Color.Black;
			this.videoControl4.Background = System.Drawing.SystemColors.Control;
			this.videoControl4.Display = ((VideoLib.OpenGL.DisplayOptions)((VideoLib.OpenGL.DisplayOptions.A | VideoLib.OpenGL.DisplayOptions.AsGrey)));
			this.videoControl4.Factor = 0.2F;
			this.videoControl4.Location = new System.Drawing.Point(185, 3);
			this.videoControl4.Name = "videoControl4";
			this.videoControl4.Size = new System.Drawing.Size(176, 144);
			this.videoControl4.TabIndex = 2;
			this.videoControl4.VSync = false;
			this.videoControl4.DoubleClick += new System.EventHandler(this.videoControl_DoubleClick);
			// 
			// videoControl3
			// 
			this.videoControl3.BackColor = System.Drawing.Color.Black;
			this.videoControl3.Background = System.Drawing.SystemColors.Control;
			this.videoControl3.Location = new System.Drawing.Point(3, 3);
			this.videoControl3.Name = "videoControl3";
			this.videoControl3.Size = new System.Drawing.Size(176, 144);
			this.videoControl3.TabIndex = 0;
			this.videoControl3.VSync = true;
			this.videoControl3.DoubleClick += new System.EventHandler(this.videoControl_DoubleClick);
			// 
			// filteredDepthGroupBox
			// 
			this.filteredDepthGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.filteredDepthGroupBox.AutoSize = true;
			this.filteredDepthGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.filteredDepthGroupBox.Controls.Add(this.filteredDepthTableLayoutPanel);
			this.filteredDepthGroupBox.Location = new System.Drawing.Point(254, 353);
			this.filteredDepthGroupBox.Name = "filteredDepthGroupBox";
			this.filteredDepthGroupBox.Size = new System.Drawing.Size(370, 169);
			this.filteredDepthGroupBox.TabIndex = 9;
			this.filteredDepthGroupBox.TabStop = false;
			this.filteredDepthGroupBox.Text = "Filtered depth";
			this.filteredDepthGroupBox.Visible = false;
			// 
			// filteredDepthTableLayoutPanel
			// 
			this.filteredDepthTableLayoutPanel.AutoSize = true;
			this.filteredDepthTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.filteredDepthTableLayoutPanel.ColumnCount = 2;
			this.filteredDepthTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 50F));
			this.filteredDepthTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 50F));
			this.filteredDepthTableLayoutPanel.Controls.Add(this.videoControl5, 0, 0);
			this.filteredDepthTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.filteredDepthTableLayoutPanel.Location = new System.Drawing.Point(3, 16);
			this.filteredDepthTableLayoutPanel.Name = "filteredDepthTableLayoutPanel";
			this.filteredDepthTableLayoutPanel.RowCount = 1;
			this.filteredDepthTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 50F));
			this.filteredDepthTableLayoutPanel.Size = new System.Drawing.Size(364, 150);
			this.filteredDepthTableLayoutPanel.TabIndex = 0;
			// 
			// videoControl5
			// 
			this.videoControl5.BackColor = System.Drawing.Color.Black;
			this.videoControl5.Background = System.Drawing.SystemColors.Control;
			this.videoControl5.Display = ((VideoLib.OpenGL.DisplayOptions)((VideoLib.OpenGL.DisplayOptions.A | VideoLib.OpenGL.DisplayOptions.AsGrey)));
			this.videoControl5.Factor = 0.2F;
			this.videoControl5.Location = new System.Drawing.Point(3, 3);
			this.videoControl5.Name = "videoControl5";
			this.videoControl5.Size = new System.Drawing.Size(176, 144);
			this.videoControl5.TabIndex = 1;
			this.videoControl5.VSync = true;
			this.videoControl5.DoubleClick += new System.EventHandler(this.videoControl_DoubleClick);
			// 
			// leftTableLayoutPanel
			// 
			this.leftTableLayoutPanel.AutoSize = true;
			this.leftTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.leftTableLayoutPanel.ColumnCount = 1;
			this.leftTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.leftTableLayoutPanel.Controls.Add(this.videoSourceGroupBox, 0, 0);
			this.leftTableLayoutPanel.Controls.Add(this.processingOptionsGroupBox, 0, 1);
			this.leftTableLayoutPanel.Controls.Add(this.settingsGroupBox, 0, 2);
			this.leftTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.leftTableLayoutPanel.Location = new System.Drawing.Point(3, 3);
			this.leftTableLayoutPanel.Name = "leftTableLayoutPanel";
			this.leftTableLayoutPanel.RowCount = 3;
			this.mainTableLayoutPanel.SetRowSpan(this.leftTableLayoutPanel, 3);
			this.leftTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.leftTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.leftTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.leftTableLayoutPanel.Size = new System.Drawing.Size(245, 660);
			this.leftTableLayoutPanel.TabIndex = 11;
			// 
			// videoSourceGroupBox
			// 
			this.videoSourceGroupBox.AutoSize = true;
			this.videoSourceGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoSourceGroupBox.Controls.Add(this.videoSourceTableLayoutPanel);
			this.videoSourceGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.videoSourceGroupBox.Location = new System.Drawing.Point(3, 3);
			this.videoSourceGroupBox.Name = "videoSourceGroupBox";
			this.videoSourceGroupBox.Size = new System.Drawing.Size(239, 72);
			this.videoSourceGroupBox.TabIndex = 0;
			this.videoSourceGroupBox.TabStop = false;
			this.videoSourceGroupBox.Text = "Video source";
			// 
			// videoSourceTableLayoutPanel
			// 
			this.videoSourceTableLayoutPanel.AutoSize = true;
			this.videoSourceTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.videoSourceTableLayoutPanel.ColumnCount = 3;
			this.videoSourceTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
			this.videoSourceTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.videoSourceTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.videoSourceTableLayoutPanel.Controls.Add(this.videoSourceComboBox, 0, 0);
			this.videoSourceTableLayoutPanel.Controls.Add(this.startVideoButton, 1, 1);
			this.videoSourceTableLayoutPanel.Controls.Add(this.stopVideoButton, 2, 1);
			this.videoSourceTableLayoutPanel.Controls.Add(this.loopCheckBox, 0, 1);
			this.videoSourceTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.videoSourceTableLayoutPanel.Location = new System.Drawing.Point(3, 16);
			this.videoSourceTableLayoutPanel.Name = "videoSourceTableLayoutPanel";
			this.videoSourceTableLayoutPanel.RowCount = 2;
			this.videoSourceTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.videoSourceTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.videoSourceTableLayoutPanel.Size = new System.Drawing.Size(233, 53);
			this.videoSourceTableLayoutPanel.TabIndex = 0;
			// 
			// videoSourceComboBox
			// 
			this.videoSourceTableLayoutPanel.SetColumnSpan(this.videoSourceComboBox, 3);
			this.videoSourceComboBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.videoSourceComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.videoSourceComboBox.FormattingEnabled = true;
			this.videoSourceComboBox.Location = new System.Drawing.Point(3, 3);
			this.videoSourceComboBox.Name = "videoSourceComboBox";
			this.videoSourceComboBox.Size = new System.Drawing.Size(227, 21);
			this.videoSourceComboBox.TabIndex = 0;
			this.toolTip.SetToolTip(this.videoSourceComboBox, "Select the RGBZ video to process.");
			this.videoSourceComboBox.SelectedIndexChanged += new System.EventHandler(this.videoSourceComboBox_SelectedIndexChanged);
			// 
			// startVideoButton
			// 
			this.startVideoButton.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.startVideoButton.Location = new System.Drawing.Point(129, 27);
			this.startVideoButton.Margin = new System.Windows.Forms.Padding(2, 0, 0, 3);
			this.startVideoButton.Name = "startVideoButton";
			this.startVideoButton.Size = new System.Drawing.Size(50, 23);
			this.startVideoButton.TabIndex = 2;
			this.startVideoButton.Text = "Start";
			this.toolTip.SetToolTip(this.startVideoButton, "Starts processing the RGBZ video.");
			this.startVideoButton.UseVisualStyleBackColor = true;
			this.startVideoButton.Click += new System.EventHandler(this.startVideoButton_Click);
			// 
			// stopVideoButton
			// 
			this.stopVideoButton.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.stopVideoButton.Enabled = false;
			this.stopVideoButton.Location = new System.Drawing.Point(181, 27);
			this.stopVideoButton.Margin = new System.Windows.Forms.Padding(2, 0, 2, 3);
			this.stopVideoButton.Name = "stopVideoButton";
			this.stopVideoButton.Size = new System.Drawing.Size(50, 23);
			this.stopVideoButton.TabIndex = 3;
			this.stopVideoButton.Text = "Stop";
			this.toolTip.SetToolTip(this.stopVideoButton, "Stops processing the RGBZ video.");
			this.stopVideoButton.UseVisualStyleBackColor = true;
			this.stopVideoButton.Click += new System.EventHandler(this.stopVideoButton_Click);
			// 
			// loopCheckBox
			// 
			this.loopCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.loopCheckBox.AutoSize = true;
			this.loopCheckBox.Checked = true;
			this.loopCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
			this.loopCheckBox.Location = new System.Drawing.Point(77, 27);
			this.loopCheckBox.Margin = new System.Windows.Forms.Padding(6, 0, 0, 3);
			this.loopCheckBox.Name = "loopCheckBox";
			this.loopCheckBox.Size = new System.Drawing.Size(50, 23);
			this.loopCheckBox.TabIndex = 1;
			this.loopCheckBox.Text = "Loop";
			this.toolTip.SetToolTip(this.loopCheckBox, "Loops the input video.");
			this.loopCheckBox.UseVisualStyleBackColor = true;
			// 
			// processingOptionsGroupBox
			// 
			this.processingOptionsGroupBox.AutoSize = true;
			this.processingOptionsGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.processingOptionsGroupBox.Controls.Add(this.processingOptionsTableLayoutPanel);
			this.processingOptionsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.processingOptionsGroupBox.Location = new System.Drawing.Point(3, 81);
			this.processingOptionsGroupBox.Name = "processingOptionsGroupBox";
			this.processingOptionsGroupBox.Size = new System.Drawing.Size(239, 125);
			this.processingOptionsGroupBox.TabIndex = 1;
			this.processingOptionsGroupBox.TabStop = false;
			this.processingOptionsGroupBox.Text = "Processing options";
			// 
			// processingOptionsTableLayoutPanel
			// 
			this.processingOptionsTableLayoutPanel.AutoSize = true;
			this.processingOptionsTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.processingOptionsTableLayoutPanel.ColumnCount = 1;
			this.processingOptionsTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
			this.processingOptionsTableLayoutPanel.Controls.Add(this.fromCacheCheckBox, 0, 1);
			this.processingOptionsTableLayoutPanel.Controls.Add(this.toCacheCheckBox, 0, 0);
			this.processingOptionsTableLayoutPanel.Controls.Add(this.displayRenderingsCheckBox, 0, 2);
			this.processingOptionsTableLayoutPanel.Controls.Add(this.saveRenderingsCheckBox, 0, 3);
			this.processingOptionsTableLayoutPanel.Controls.Add(this.displayDebugOutputsCheckBox, 0, 4);
			this.processingOptionsTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.processingOptionsTableLayoutPanel.Location = new System.Drawing.Point(3, 16);
			this.processingOptionsTableLayoutPanel.Name = "processingOptionsTableLayoutPanel";
			this.processingOptionsTableLayoutPanel.Padding = new System.Windows.Forms.Padding(4, 2, 4, 2);
			this.processingOptionsTableLayoutPanel.RowCount = 5;
			this.processingOptionsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.processingOptionsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.processingOptionsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.processingOptionsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.processingOptionsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.processingOptionsTableLayoutPanel.Size = new System.Drawing.Size(233, 106);
			this.processingOptionsTableLayoutPanel.TabIndex = 0;
			// 
			// fromCacheCheckBox
			// 
			this.fromCacheCheckBox.AutoSize = true;
			this.fromCacheCheckBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.fromCacheCheckBox.Location = new System.Drawing.Point(5, 22);
			this.fromCacheCheckBox.Margin = new System.Windows.Forms.Padding(1);
			this.fromCacheCheckBox.Name = "fromCacheCheckBox";
			this.fromCacheCheckBox.Padding = new System.Windows.Forms.Padding(0, 0, 0, 7);
			this.fromCacheCheckBox.Size = new System.Drawing.Size(223, 24);
			this.fromCacheCheckBox.TabIndex = 1;
			this.fromCacheCheckBox.Text = "Load processed videos from cache";
			this.fromCacheCheckBox.UseVisualStyleBackColor = true;
			this.fromCacheCheckBox.CheckedChanged += new System.EventHandler(this.fromCacheCheckBox_CheckedChanged);
			// 
			// toCacheCheckBox
			// 
			this.toCacheCheckBox.AutoSize = true;
			this.toCacheCheckBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.toCacheCheckBox.Location = new System.Drawing.Point(5, 3);
			this.toCacheCheckBox.Margin = new System.Windows.Forms.Padding(1);
			this.toCacheCheckBox.Name = "toCacheCheckBox";
			this.toCacheCheckBox.Size = new System.Drawing.Size(223, 17);
			this.toCacheCheckBox.TabIndex = 0;
			this.toCacheCheckBox.Text = "Save processed videos to cache";
			this.toCacheCheckBox.UseVisualStyleBackColor = true;
			this.toCacheCheckBox.CheckedChanged += new System.EventHandler(this.toCacheCheckBox_CheckedChanged);
			// 
			// displayRenderingsCheckBox
			// 
			this.displayRenderingsCheckBox.AutoSize = true;
			this.displayRenderingsCheckBox.Checked = true;
			this.displayRenderingsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
			this.displayRenderingsCheckBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.displayRenderingsCheckBox.Location = new System.Drawing.Point(5, 48);
			this.displayRenderingsCheckBox.Margin = new System.Windows.Forms.Padding(1);
			this.displayRenderingsCheckBox.Name = "displayRenderingsCheckBox";
			this.displayRenderingsCheckBox.Size = new System.Drawing.Size(223, 17);
			this.displayRenderingsCheckBox.TabIndex = 2;
			this.displayRenderingsCheckBox.Text = "Display renderings";
			this.toolTip.SetToolTip(this.displayRenderingsCheckBox, "If checked, displays the rendering results.");
			this.displayRenderingsCheckBox.UseVisualStyleBackColor = true;
			// 
			// saveRenderingsCheckBox
			// 
			this.saveRenderingsCheckBox.AutoSize = true;
			this.saveRenderingsCheckBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.saveRenderingsCheckBox.Location = new System.Drawing.Point(5, 67);
			this.saveRenderingsCheckBox.Margin = new System.Windows.Forms.Padding(1);
			this.saveRenderingsCheckBox.Name = "saveRenderingsCheckBox";
			this.saveRenderingsCheckBox.Size = new System.Drawing.Size(223, 17);
			this.saveRenderingsCheckBox.TabIndex = 3;
			this.saveRenderingsCheckBox.Text = "Save renderings to disk";
			this.toolTip.SetToolTip(this.saveRenderingsCheckBox, "If checked, writes the rendering results to disk as a sequence of PNG images.");
			this.saveRenderingsCheckBox.UseVisualStyleBackColor = true;
			this.saveRenderingsCheckBox.CheckedChanged += new System.EventHandler(this.saveRenderingsCheckBox_CheckedChanged);
			// 
			// displayDebugOutputsCheckBox
			// 
			this.displayDebugOutputsCheckBox.AutoSize = true;
			this.displayDebugOutputsCheckBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.displayDebugOutputsCheckBox.Location = new System.Drawing.Point(5, 86);
			this.displayDebugOutputsCheckBox.Margin = new System.Windows.Forms.Padding(1);
			this.displayDebugOutputsCheckBox.Name = "displayDebugOutputsCheckBox";
			this.displayDebugOutputsCheckBox.Size = new System.Drawing.Size(223, 17);
			this.displayDebugOutputsCheckBox.TabIndex = 4;
			this.displayDebugOutputsCheckBox.Text = "Display debug outputs";
			this.toolTip.SetToolTip(this.displayDebugOutputsCheckBox, "If checked, displays the input and output images and distance maps.");
			this.displayDebugOutputsCheckBox.UseVisualStyleBackColor = true;
			// 
			// settingsGroupBox
			// 
			this.settingsGroupBox.AutoSize = true;
			this.settingsGroupBox.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.settingsGroupBox.Controls.Add(this.settingsTableLayoutPanel);
			this.settingsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.settingsGroupBox.Location = new System.Drawing.Point(3, 212);
			this.settingsGroupBox.Name = "settingsGroupBox";
			this.settingsGroupBox.Size = new System.Drawing.Size(239, 445);
			this.settingsGroupBox.TabIndex = 10;
			this.settingsGroupBox.TabStop = false;
			this.settingsGroupBox.Text = "Settings";
			this.settingsGroupBox.Visible = false;
			// 
			// settingsTableLayoutPanel
			// 
			this.settingsTableLayoutPanel.AutoSize = true;
			this.settingsTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.settingsTableLayoutPanel.ColumnCount = 1;
			this.settingsTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.settingsTableLayoutPanel.Controls.Add(this.nodePropertyGrid, 0, 4);
			this.settingsTableLayoutPanel.Controls.Add(this.nodeComboBox, 0, 3);
			this.settingsTableLayoutPanel.Controls.Add(this.styleTableLayoutPanel, 0, 0);
			this.settingsTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.settingsTableLayoutPanel.Location = new System.Drawing.Point(3, 16);
			this.settingsTableLayoutPanel.Name = "settingsTableLayoutPanel";
			this.settingsTableLayoutPanel.RowCount = 5;
			this.settingsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.settingsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.settingsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.settingsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.settingsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.settingsTableLayoutPanel.Size = new System.Drawing.Size(233, 426);
			this.settingsTableLayoutPanel.TabIndex = 0;
			// 
			// nodePropertyGrid
			// 
			this.nodePropertyGrid.ContextMenuStrip = this.contextMenu;
			this.nodePropertyGrid.Dock = System.Windows.Forms.DockStyle.Fill;
			this.nodePropertyGrid.Location = new System.Drawing.Point(0, 126);
			this.nodePropertyGrid.Margin = new System.Windows.Forms.Padding(0);
			this.nodePropertyGrid.MinimumSize = new System.Drawing.Size(0, 300);
			this.nodePropertyGrid.Name = "nodePropertyGrid";
			this.nodePropertyGrid.Size = new System.Drawing.Size(233, 300);
			this.nodePropertyGrid.TabIndex = 12;
			this.nodePropertyGrid.ToolbarVisible = false;
			// 
			// contextMenu
			// 
			this.contextMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.resetItem});
			this.contextMenu.Name = "contextMenu";
			this.contextMenu.ShowImageMargin = false;
			this.contextMenu.Size = new System.Drawing.Size(78, 26);
			this.contextMenu.Opening += new System.ComponentModel.CancelEventHandler(this.contextMenu_Opening);
			// 
			// resetItem
			// 
			this.resetItem.Name = "resetItem";
			this.resetItem.Size = new System.Drawing.Size(77, 22);
			this.resetItem.Text = "Reset";
			this.resetItem.Click += new System.EventHandler(this.resetItem_Click);
			// 
			// nodeComboBox
			// 
			this.nodeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
						| System.Windows.Forms.AnchorStyles.Left)
						| System.Windows.Forms.AnchorStyles.Right)));
			this.nodeComboBox.AutoCompleteMode = System.Windows.Forms.AutoCompleteMode.SuggestAppend;
			this.nodeComboBox.AutoCompleteSource = System.Windows.Forms.AutoCompleteSource.ListItems;
			this.nodeComboBox.FormattingEnabled = true;
			this.nodeComboBox.Location = new System.Drawing.Point(0, 105);
			this.nodeComboBox.Margin = new System.Windows.Forms.Padding(0);
			this.nodeComboBox.MaxDropDownItems = 40;
			this.nodeComboBox.Name = "nodeComboBox";
			this.nodeComboBox.Size = new System.Drawing.Size(233, 21);
			this.nodeComboBox.TabIndex = 11;
			this.nodeComboBox.SelectedIndexChanged += new System.EventHandler(this.nodeComboBox_SelectedIndexChanged);
			// 
			// styleTableLayoutPanel
			// 
			this.styleTableLayoutPanel.AutoSize = true;
			this.styleTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.styleTableLayoutPanel.ColumnCount = 5;
			this.styleTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.styleTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.styleTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.styleTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.styleTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.styleTableLayoutPanel.Controls.Add(this.styleLabel, 0, 0);
			this.styleTableLayoutPanel.Controls.Add(this.backgroundRadioButton, 1, 0);
			this.styleTableLayoutPanel.Controls.Add(this.debugRadioButton, 3, 3);
			this.styleTableLayoutPanel.Controls.Add(this.meshRadioButton, 3, 2);
			this.styleTableLayoutPanel.Controls.Add(this.showLabel, 0, 4);
			this.styleTableLayoutPanel.Controls.Add(this.relightingRadioButton, 3, 1);
			this.styleTableLayoutPanel.Controls.Add(this.hatchingRadioButton, 1, 2);
			this.styleTableLayoutPanel.Controls.Add(this.stereoRadioButton, 1, 3);
			this.styleTableLayoutPanel.Controls.Add(this.abstractionRadioButton, 1, 1);
			this.styleTableLayoutPanel.Controls.Add(this.stageButtonsTableLayoutPanel, 1, 4);
			this.styleTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.styleTableLayoutPanel.Location = new System.Drawing.Point(0, 0);
			this.styleTableLayoutPanel.Margin = new System.Windows.Forms.Padding(0);
			this.styleTableLayoutPanel.Name = "styleTableLayoutPanel";
			this.styleTableLayoutPanel.RowCount = 5;
			this.styleTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.styleTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.styleTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.styleTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.styleTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.styleTableLayoutPanel.Size = new System.Drawing.Size(233, 105);
			this.styleTableLayoutPanel.TabIndex = 4;
			// 
			// styleLabel
			// 
			this.styleLabel.AutoSize = true;
			this.styleLabel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.styleLabel.Location = new System.Drawing.Point(3, 0);
			this.styleLabel.Name = "styleLabel";
			this.styleLabel.Size = new System.Drawing.Size(37, 19);
			this.styleLabel.TabIndex = 1;
			this.styleLabel.Text = "Style:";
			this.styleLabel.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// backgroundRadioButton
			// 
			this.backgroundRadioButton.AutoSize = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.backgroundRadioButton, 4);
			this.backgroundRadioButton.Location = new System.Drawing.Point(44, 1);
			this.backgroundRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.backgroundRadioButton.Name = "backgroundRadioButton";
			this.backgroundRadioButton.Size = new System.Drawing.Size(149, 17);
			this.backgroundRadioButton.TabIndex = 0;
			this.backgroundRadioButton.Text = "Background segmentation";
			this.backgroundRadioButton.UseVisualStyleBackColor = true;
			this.backgroundRadioButton.CheckedChanged += new System.EventHandler(this.backgroundRadioButton_CheckedChanged);
			// 
			// debugRadioButton
			// 
			this.debugRadioButton.AutoSize = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.debugRadioButton, 2);
			this.debugRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.debugRadioButton.Location = new System.Drawing.Point(134, 58);
			this.debugRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.debugRadioButton.Name = "debugRadioButton";
			this.debugRadioButton.Padding = new System.Windows.Forms.Padding(7, 0, 0, 7);
			this.debugRadioButton.Size = new System.Drawing.Size(98, 24);
			this.debugRadioButton.TabIndex = 6;
			this.debugRadioButton.Text = "Debug";
			this.debugRadioButton.UseVisualStyleBackColor = true;
			this.debugRadioButton.CheckedChanged += new System.EventHandler(this.debugRadioButton_CheckedChanged);
			// 
			// meshRadioButton
			// 
			this.meshRadioButton.AutoSize = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.meshRadioButton, 2);
			this.meshRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.meshRadioButton.Location = new System.Drawing.Point(134, 39);
			this.meshRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.meshRadioButton.Name = "meshRadioButton";
			this.meshRadioButton.Padding = new System.Windows.Forms.Padding(7, 0, 0, 0);
			this.meshRadioButton.Size = new System.Drawing.Size(98, 17);
			this.meshRadioButton.TabIndex = 5;
			this.meshRadioButton.Text = "Mesh";
			this.meshRadioButton.UseVisualStyleBackColor = true;
			this.meshRadioButton.CheckedChanged += new System.EventHandler(this.meshRadioButton_CheckedChanged);
			// 
			// showLabel
			// 
			this.showLabel.AutoSize = true;
			this.showLabel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.showLabel.Location = new System.Drawing.Point(3, 83);
			this.showLabel.Name = "showLabel";
			this.showLabel.Size = new System.Drawing.Size(37, 22);
			this.showLabel.TabIndex = 6;
			this.showLabel.Text = "Show:";
			this.showLabel.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// relightingRadioButton
			// 
			this.relightingRadioButton.AutoSize = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.relightingRadioButton, 2);
			this.relightingRadioButton.Location = new System.Drawing.Point(134, 20);
			this.relightingRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.relightingRadioButton.Name = "relightingRadioButton";
			this.relightingRadioButton.Padding = new System.Windows.Forms.Padding(7, 0, 0, 0);
			this.relightingRadioButton.Size = new System.Drawing.Size(79, 17);
			this.relightingRadioButton.TabIndex = 4;
			this.relightingRadioButton.Text = "Relighting";
			this.relightingRadioButton.UseVisualStyleBackColor = true;
			this.relightingRadioButton.CheckedChanged += new System.EventHandler(this.relightingRadioButton_CheckedChanged);
			// 
			// hatchingRadioButton
			// 
			this.hatchingRadioButton.AutoSize = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.hatchingRadioButton, 2);
			this.hatchingRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.hatchingRadioButton.Location = new System.Drawing.Point(44, 39);
			this.hatchingRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.hatchingRadioButton.Name = "hatchingRadioButton";
			this.hatchingRadioButton.Size = new System.Drawing.Size(88, 17);
			this.hatchingRadioButton.TabIndex = 2;
			this.hatchingRadioButton.Text = "Stroke-based";
			this.hatchingRadioButton.UseVisualStyleBackColor = true;
			this.hatchingRadioButton.CheckedChanged += new System.EventHandler(this.hatchingRadioButton_CheckedChanged);
			// 
			// stereoRadioButton
			// 
			this.stereoRadioButton.AutoSize = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.stereoRadioButton, 2);
			this.stereoRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.stereoRadioButton.Location = new System.Drawing.Point(44, 58);
			this.stereoRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.stereoRadioButton.Name = "stereoRadioButton";
			this.stereoRadioButton.Padding = new System.Windows.Forms.Padding(0, 0, 0, 7);
			this.stereoRadioButton.Size = new System.Drawing.Size(88, 24);
			this.stereoRadioButton.TabIndex = 3;
			this.stereoRadioButton.Text = "Stereo 3D";
			this.stereoRadioButton.UseVisualStyleBackColor = true;
			this.stereoRadioButton.CheckedChanged += new System.EventHandler(this.stereoRadioButton_CheckedChanged);
			// 
			// abstractionRadioButton
			// 
			this.abstractionRadioButton.AutoSize = true;
			this.abstractionRadioButton.Checked = true;
			this.styleTableLayoutPanel.SetColumnSpan(this.abstractionRadioButton, 2);
			this.abstractionRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.abstractionRadioButton.Location = new System.Drawing.Point(44, 20);
			this.abstractionRadioButton.Margin = new System.Windows.Forms.Padding(1);
			this.abstractionRadioButton.Name = "abstractionRadioButton";
			this.abstractionRadioButton.Size = new System.Drawing.Size(88, 17);
			this.abstractionRadioButton.TabIndex = 1;
			this.abstractionRadioButton.TabStop = true;
			this.abstractionRadioButton.Text = "Abstraction";
			this.abstractionRadioButton.UseVisualStyleBackColor = true;
			this.abstractionRadioButton.CheckedChanged += new System.EventHandler(this.abstractionRadioButton_CheckedChanged);
			// 
			// stageButtonsTableLayoutPanel
			// 
			this.stageButtonsTableLayoutPanel.AutoSize = true;
			this.stageButtonsTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.stageButtonsTableLayoutPanel.ColumnCount = 4;
			this.styleTableLayoutPanel.SetColumnSpan(this.stageButtonsTableLayoutPanel, 4);
			this.stageButtonsTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 34.78261F));
			this.stageButtonsTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 21.73913F));
			this.stageButtonsTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 21.73913F));
			this.stageButtonsTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 21.73913F));
			this.stageButtonsTableLayoutPanel.Controls.Add(this.styleRadioButton, 3, 0);
			this.stageButtonsTableLayoutPanel.Controls.Add(this.alignmentRadioButton, 0, 0);
			this.stageButtonsTableLayoutPanel.Controls.Add(this.filterRadioButton, 2, 0);
			this.stageButtonsTableLayoutPanel.Controls.Add(this.fillInRadioButton, 1, 0);
			this.stageButtonsTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.stageButtonsTableLayoutPanel.Location = new System.Drawing.Point(43, 83);
			this.stageButtonsTableLayoutPanel.Margin = new System.Windows.Forms.Padding(0);
			this.stageButtonsTableLayoutPanel.Name = "stageButtonsTableLayoutPanel";
			this.stageButtonsTableLayoutPanel.RowCount = 1;
			this.stageButtonsTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.stageButtonsTableLayoutPanel.Size = new System.Drawing.Size(190, 22);
			this.stageButtonsTableLayoutPanel.TabIndex = 2;
			// 
			// styleRadioButton
			// 
			this.styleRadioButton.Appearance = System.Windows.Forms.Appearance.Button;
			this.styleRadioButton.AutoSize = true;
			this.styleRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.styleRadioButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.styleRadioButton.Location = new System.Drawing.Point(148, 0);
			this.styleRadioButton.Margin = new System.Windows.Forms.Padding(0);
			this.styleRadioButton.Name = "styleRadioButton";
			this.styleRadioButton.Size = new System.Drawing.Size(42, 22);
			this.styleRadioButton.TabIndex = 10;
			this.styleRadioButton.Text = "Style";
			this.styleRadioButton.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.toolTip.SetToolTip(this.styleRadioButton, "Shows the current style\'s settings.");
			this.styleRadioButton.UseVisualStyleBackColor = true;
			this.styleRadioButton.CheckedChanged += new System.EventHandler(this.styleRadioButton_CheckedChanged);
			// 
			// alignmentRadioButton
			// 
			this.alignmentRadioButton.Appearance = System.Windows.Forms.Appearance.Button;
			this.alignmentRadioButton.AutoSize = true;
			this.alignmentRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.alignmentRadioButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.alignmentRadioButton.Location = new System.Drawing.Point(0, 0);
			this.alignmentRadioButton.Margin = new System.Windows.Forms.Padding(0);
			this.alignmentRadioButton.Name = "alignmentRadioButton";
			this.alignmentRadioButton.Size = new System.Drawing.Size(66, 22);
			this.alignmentRadioButton.TabIndex = 7;
			this.alignmentRadioButton.Text = "Alignment";
			this.alignmentRadioButton.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.toolTip.SetToolTip(this.alignmentRadioButton, "Show alignment settings.");
			this.alignmentRadioButton.UseVisualStyleBackColor = true;
			this.alignmentRadioButton.CheckedChanged += new System.EventHandler(this.alignmentRadioButton_CheckedChanged);
			// 
			// filterRadioButton
			// 
			this.filterRadioButton.Appearance = System.Windows.Forms.Appearance.Button;
			this.filterRadioButton.AutoSize = true;
			this.filterRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.filterRadioButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.filterRadioButton.Location = new System.Drawing.Point(107, 0);
			this.filterRadioButton.Margin = new System.Windows.Forms.Padding(0);
			this.filterRadioButton.Name = "filterRadioButton";
			this.filterRadioButton.Size = new System.Drawing.Size(41, 22);
			this.filterRadioButton.TabIndex = 9;
			this.filterRadioButton.Text = "Filter";
			this.filterRadioButton.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.toolTip.SetToolTip(this.filterRadioButton, "Show filter settings.");
			this.filterRadioButton.UseVisualStyleBackColor = true;
			this.filterRadioButton.CheckedChanged += new System.EventHandler(this.filterRadioButton_CheckedChanged);
			// 
			// fillInRadioButton
			// 
			this.fillInRadioButton.Appearance = System.Windows.Forms.Appearance.Button;
			this.fillInRadioButton.AutoSize = true;
			this.fillInRadioButton.Dock = System.Windows.Forms.DockStyle.Fill;
			this.fillInRadioButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.fillInRadioButton.Location = new System.Drawing.Point(66, 0);
			this.fillInRadioButton.Margin = new System.Windows.Forms.Padding(0);
			this.fillInRadioButton.Name = "fillInRadioButton";
			this.fillInRadioButton.Size = new System.Drawing.Size(41, 22);
			this.fillInRadioButton.TabIndex = 8;
			this.fillInRadioButton.Text = "Fill-In";
			this.fillInRadioButton.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.toolTip.SetToolTip(this.fillInRadioButton, "Show fill-in settings.");
			this.fillInRadioButton.UseVisualStyleBackColor = true;
			this.fillInRadioButton.CheckedChanged += new System.EventHandler(this.fillInRadioButton_CheckedChanged);
			// 
			// mainTableLayoutPanel
			// 
			this.mainTableLayoutPanel.AutoSize = true;
			this.mainTableLayoutPanel.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.mainTableLayoutPanel.ColumnCount = 3;
			this.mainTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.mainTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.mainTableLayoutPanel.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
			this.mainTableLayoutPanel.Controls.Add(this.inputVideoAndDepthGroupBox, 1, 0);
			this.mainTableLayoutPanel.Controls.Add(this.renderingOutputGroupBox, 2, 0);
			this.mainTableLayoutPanel.Controls.Add(this.alignedAndCroppedGroupBox, 1, 1);
			this.mainTableLayoutPanel.Controls.Add(this.filteredDepthGroupBox, 1, 2);
			this.mainTableLayoutPanel.Controls.Add(this.leftTableLayoutPanel, 0, 0);
			this.mainTableLayoutPanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.mainTableLayoutPanel.Location = new System.Drawing.Point(0, 0);
			this.mainTableLayoutPanel.Name = "mainTableLayoutPanel";
			this.mainTableLayoutPanel.RowCount = 3;
			this.mainTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.mainTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.mainTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
			this.mainTableLayoutPanel.Size = new System.Drawing.Size(851, 589);
			this.mainTableLayoutPanel.TabIndex = 0;
			// 
			// RendererForm
			// 
			this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.AutoSize = true;
			this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
			this.ClientSize = new System.Drawing.Size(851, 589);
			this.Controls.Add(this.mainTableLayoutPanel);
			this.Name = "RendererForm";
			this.Text = "RGBZ Video Camera — Renderer";
			this.Load += new System.EventHandler(this.ReprojectForm_Load);
			this.inputVideoAndDepthGroupBox.ResumeLayout(false);
			this.inputVideoAndDepthGroupBox.PerformLayout();
			this.inputVideoAndDepthTableLayoutPanel.ResumeLayout(false);
			this.renderingOutputGroupBox.ResumeLayout(false);
			this.renderingOutputGroupBox.PerformLayout();
			this.alignedAndCroppedGroupBox.ResumeLayout(false);
			this.alignedAndCroppedGroupBox.PerformLayout();
			this.alignedAndCroppedTableLayoutPanel.ResumeLayout(false);
			this.filteredDepthGroupBox.ResumeLayout(false);
			this.filteredDepthGroupBox.PerformLayout();
			this.filteredDepthTableLayoutPanel.ResumeLayout(false);
			this.leftTableLayoutPanel.ResumeLayout(false);
			this.leftTableLayoutPanel.PerformLayout();
			this.videoSourceGroupBox.ResumeLayout(false);
			this.videoSourceGroupBox.PerformLayout();
			this.videoSourceTableLayoutPanel.ResumeLayout(false);
			this.videoSourceTableLayoutPanel.PerformLayout();
			this.processingOptionsGroupBox.ResumeLayout(false);
			this.processingOptionsGroupBox.PerformLayout();
			this.processingOptionsTableLayoutPanel.ResumeLayout(false);
			this.processingOptionsTableLayoutPanel.PerformLayout();
			this.settingsGroupBox.ResumeLayout(false);
			this.settingsGroupBox.PerformLayout();
			this.settingsTableLayoutPanel.ResumeLayout(false);
			this.settingsTableLayoutPanel.PerformLayout();
			this.contextMenu.ResumeLayout(false);
			this.styleTableLayoutPanel.ResumeLayout(false);
			this.styleTableLayoutPanel.PerformLayout();
			this.stageButtonsTableLayoutPanel.ResumeLayout(false);
			this.stageButtonsTableLayoutPanel.PerformLayout();
			this.mainTableLayoutPanel.ResumeLayout(false);
			this.mainTableLayoutPanel.PerformLayout();
			this.ResumeLayout(false);
			this.PerformLayout();

		}

		#endregion

		internal VideoLib.OpenGL.VideoControl videoControl1;
		internal VideoLib.OpenGL.VideoControl videoControl6;
		internal VideoLib.OpenGL.VideoControl videoControl2;
		internal VideoLib.OpenGL.VideoControl videoControl3;
		internal VideoLib.OpenGL.VideoControl videoControl4;
		private System.Windows.Forms.GroupBox inputVideoAndDepthGroupBox;
		private System.Windows.Forms.TableLayoutPanel inputVideoAndDepthTableLayoutPanel;
		private System.Windows.Forms.GroupBox alignedAndCroppedGroupBox;
		private System.Windows.Forms.TableLayoutPanel alignedAndCroppedTableLayoutPanel;
		private System.Windows.Forms.GroupBox filteredDepthGroupBox;
		private System.Windows.Forms.TableLayoutPanel filteredDepthTableLayoutPanel;
		internal VideoLib.OpenGL.VideoControl videoControl5;
		private System.Windows.Forms.GroupBox renderingOutputGroupBox;
		private System.Windows.Forms.GroupBox settingsGroupBox;
		private System.Windows.Forms.TableLayoutPanel settingsTableLayoutPanel;
		internal System.Windows.Forms.ComboBox nodeComboBox;
		internal System.Windows.Forms.PropertyGrid nodePropertyGrid;
		private System.Windows.Forms.ContextMenuStrip contextMenu;
		private System.Windows.Forms.ToolStripMenuItem resetItem;
		private System.Windows.Forms.ToolTip toolTip;
		private System.Windows.Forms.TableLayoutPanel leftTableLayoutPanel;
		private System.Windows.Forms.GroupBox videoSourceGroupBox;
		private System.Windows.Forms.TableLayoutPanel videoSourceTableLayoutPanel;
		private System.Windows.Forms.ComboBox videoSourceComboBox;
		private System.Windows.Forms.GroupBox processingOptionsGroupBox;
		private System.Windows.Forms.Button startVideoButton;
		private System.Windows.Forms.Button stopVideoButton;
		private System.Windows.Forms.CheckBox loopCheckBox;
		private System.Windows.Forms.CheckBox fromCacheCheckBox;
		private System.Windows.Forms.CheckBox toCacheCheckBox;
		private System.Windows.Forms.TableLayoutPanel processingOptionsTableLayoutPanel;
		private System.Windows.Forms.CheckBox displayRenderingsCheckBox;
		private System.Windows.Forms.CheckBox saveRenderingsCheckBox;
		private System.Windows.Forms.CheckBox displayDebugOutputsCheckBox;
		private System.Windows.Forms.TableLayoutPanel styleTableLayoutPanel;
		private System.Windows.Forms.Label styleLabel;
		private System.Windows.Forms.RadioButton abstractionRadioButton;
		private System.Windows.Forms.RadioButton hatchingRadioButton;
		private System.Windows.Forms.RadioButton relightingRadioButton;
		private System.Windows.Forms.RadioButton backgroundRadioButton;
		private System.Windows.Forms.RadioButton stereoRadioButton;
		private System.Windows.Forms.RadioButton debugRadioButton;
		private System.Windows.Forms.RadioButton meshRadioButton;
		private System.Windows.Forms.TableLayoutPanel mainTableLayoutPanel;
		private System.Windows.Forms.Label showLabel;
		private System.Windows.Forms.RadioButton alignmentRadioButton;
		private System.Windows.Forms.RadioButton fillInRadioButton;
		private System.Windows.Forms.RadioButton styleRadioButton;
		private System.Windows.Forms.RadioButton filterRadioButton;
		private System.Windows.Forms.TableLayoutPanel stageButtonsTableLayoutPanel;
	}
}

