// LibAvWrap -- .NET wrapper for the libav* libraries
// --------------------------------------------------
// By Christian Richardt <christian@richardt.name>
// (based on AvDn 0.7, www.informikon.com/tutorials/)
//
// $Id: ByteIOContext.h 436 2010-10-15 16:26:38Z cr333 $

#pragma once

using namespace System;
using namespace System::Text;
using namespace System::Runtime::InteropServices;

extern "C" {
#include "libavformat/avformat.h"
}

#include "Wrapper.h"

///<summary>Wrapper for some lavc and lavf structures.</summary>
namespace LibAvWrap
{    
	///<summary>Wrapper for the ByteIOContext structure.</summary>
	public ref class LibAvByteIOContext : Wrapper<ByteIOContext>
	{
// constructors and destructor --------------------------------------------------------------------

	internal:
		///<summary>Construct from a given native pointer.</summary>
		LibAvByteIOContext(ByteIOContext* p) : Wrapper<ByteIOContext>(p) { };
	
	public:
		///<summary>Construct from a given native address.</summary>
		LibAvByteIOContext(IntPtr ptr) : Wrapper<ByteIOContext>(ptr) { };

		///<summary>Default destructor.</summary>
		~LibAvByteIOContext() { }

// member functions -------------------------------------------------------------------------------

// properties -------------------------------------------------------------------------------------

		///<summary>The address of the native ByteIOContext structure.</summary>
		property IntPtr IntPointer {
			void set(IntPtr ptr) { pointer = (ByteIOContext*)(void*)ptr; }
		}

		///<summary>Pointer to the native ByteIOContext structure.</summary>
		property ByteIOContext* Pointer {
			void set(ByteIOContext* ptr) { pointer = ptr; }
		}
	};

} // namespace LibAvWrap