﻿// $Id: DownsamplingFilter.frag 502 2010-11-17 22:02:34Z cr333 $
#extension GL_EXT_gpu_shader4 : enable

// input texture
uniform sampler2D input;

// parameters
uniform int factor;
uniform int sampleOffset;

void main()
{
	// texel to look up
	ivec2 texel = factor * ivec2(gl_FragCoord.xy) + sampleOffset;

	// read pixel value (equivalent to texelFetch(input, ivec2(texel), 0))
	vec4 pixel = texture2D(input, (vec2(texel) + 0.5) / (vec2(textureSize2D(input, 0))));

	gl_FragColor = pixel;
}