﻿// $Id: VideoControl.frag 491 2010-11-09 19:49:01Z cr333 $
#extension GL_EXT_gpu_shader4 : enable

// input texture to display
uniform sampler2D input;

// colour channel(s) to display
uniform int display;
const int DISPLAY_R    = 1;
const int DISPLAY_G    = 2;
const int DISPLAY_B    = 4;
const int DISPLAY_A    = 8;
const int DISPLAY_GREY = 16;

// linear scaling applied to pixel values
uniform float factor;
uniform float offset;

void main(void)
{
	// input colour
	vec4 colour = texture2D(input, gl_TexCoord[0].xy);
	
	// display the selected colour channel(s)
	if((display & DISPLAY_GREY) != 0)
	{
		// show some channel as grey
		if     ((display & DISPLAY_R) != 0) colour.rgb = vec3(colour.r);
		else if((display & DISPLAY_G) != 0) colour.rgb = vec3(colour.g);
		else if((display & DISPLAY_B) != 0) colour.rgb = vec3(colour.b);
		else if((display & DISPLAY_A) != 0) colour.rgb = vec3(colour.a);
		else colour.rgb = vec3(dot(vec3(0.2126, 0.7152, 0.0722), colour.rgb));
	}
	else
	{
		// 'kill' deselected colours
		if((display & DISPLAY_R) == 0) colour.r = 0.0;
		if((display & DISPLAY_G) == 0) colour.g = 0.0;
		if((display & DISPLAY_B) == 0) colour.b = 0.0;
		if((display & DISPLAY_A) == 0) colour.a = 0.0;
	}

	gl_FragColor = colour.rgba * factor + offset;
}