﻿// $Id: NewFrameEvent.cs 436 2010-10-15 16:26:38Z cr333 $
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace VideoLib.Frames
{
	/// <summary>Event arguments for a new <see cref="Frame"/>.</summary>
	[DebuggerDisplay("NewFrame({Frame})")]
	public class NewFrameEventArgs : EventArgs
	{
		/// <summary>Gets the new frame.</summary>
		public Frame Frame { get; protected set; }

		/// <summary>Initializes a new instance of the <see cref="NewFrameEventArgs"/> class.</summary>
		/// <param name="frame">The new frame.</param>
		public NewFrameEventArgs(Frame frame) { Frame = frame; }
	}

	/// <summary>Event handler for new frame events.</summary>
	public delegate void NewFrameEventHandler(object sender, NewFrameEventArgs e);
}